For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList all plans
      • GETRetrieve a plan
    • API Errors
Get access
LogoLogo
API ReferencePlans

List all plans

GET
/plans
GET
/plans
$curl https://test.api.kota.io/plans \
> -H "Authorization: Bearer <apiKey>"
1{
2 "items": [
3 {
4 "id": "pl_3b1333d87d9d4fd6ad83ba7f6b0e951a",
5 "type": "health_insurance",
6 "name": "string",
7 "description": "string",
8 "country": "af",
9 "provider": {
10 "id": "pr_3b1333d87d9d4fd6ad83ba7f6b0e951a",
11 "name": "string",
12 "description": "string",
13 "logo_url": "string"
14 },
15 "documents": [
16 {
17 "title": "string",
18 "link": "string",
19 "type": "ipid"
20 }
21 ],
22 "employer_eligibility_criteria": [
23 {
24 "type": "employees_count",
25 "description": "string"
26 }
27 ],
28 "employee_eligibility_criteria": [
29 {
30 "type": "age_range",
31 "description": "string"
32 }
33 ],
34 "disclosures": [
35 {
36 "category": "regulatory",
37 "type": "intermediary_role",
38 "text": "string"
39 }
40 ],
41 "available_from": "2024-12-01",
42 "object": "string",
43 "available_to": "2024-12-01"
44 }
45 ],
46 "page": 123,
47 "page_size": 123,
48 "total_count": 123,
49 "has_next_page": true,
50 "has_previous_page": true
51}

Returns a list of plans.

Previous

Get One-off Hosted Session Link

Next

Retrieve a plan

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Query parameters

typestringOptional

Multiple values can be provided by separating them with a comma. Allowed values are: health_insurance.

provider_idstringOptional

Multiple values can be provided by separating them with a comma. Allowed values are: allianz, irish_life_health, vitality, onvz, freedom, sanitas, canada_life, hallesche, bupa, dansk_sundhedssikring.

countryobjectOptional
Filters plans by country.
available_ondateOptional
Filters plans available on a specific date. Defaults to today.
group_idstringOptionalformat: "gr_.+"
Filters plans by group eligibility. Only plans whose eligibility criteria match the group are returned. Criteria that cannot be evaluated are ignored.
pageintegerOptional
The page of results to return. Defaults to 1 if not provided.
page_sizeintegerOptional
The number of results to return per page. Defaults to 10 if not provided. Maximum value is 100.

Response

OK
itemslist of objects
A paginated array containing the response elements
pageinteger
The current page of the results
page_sizeinteger
The number of results on this page. This can be different from the requested page size if the total number of results is less than the requested page size
total_countinteger
The total number of elements available in the response. This is the total number of elements available across all pages, not just the current page.
has_next_pagebooleanRead-only
Whether there are more pages available after this page
has_previous_pagebooleanRead-only
Whether there are more pages available before this page

Errors

400
Bad Request Error
404
Not Found Error